Bug 664815

Summary: Review Request: perl-CGI-Emulate-PSGI - PSGI adapter for CGI
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: Package ReviewAssignee: Emmanuel Seyman <emmanuel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cweyl, emmanuel, fedora-package-review, jose.p.oliveira.oss, notting
Target Milestone: ---Flags: emmanuel: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-CGI-Emulate-PSGI-0.10-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-06 19:23:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 664910, 665096    

Description Ralf Corsepius 2010-12-21 18:32:42 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-CGI-Emulate-PSGI.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-CGI-Emulate-PSGI-0.10-1.fc15.src.rpm

Description:
This module allows an application designed for the CGI environment to run
in a PSGI environment, and thus on any of the backends that PSGI supports.

Comment 1 Emmanuel Seyman 2010-12-24 09:36:17 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-12-24 09:51:41 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2687618

 [x] Rpmlint output:
perl-CGI-Emulate-PSGI.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
perl-CGI-Emulate-PSGI.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
perl-CGI-Emulate-PSGI.noarch: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
9a2042692cb410cb7d8b094094d139d9  CGI-Emulate-PSGI-0.10.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86-64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2687618

 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=5, Tests=24,  1 wallclock secs ( 0.06 usr  0.02 sys +  0.68 cusr  0.11 csys =  0.87 CPU)
Result: PASS

APPROVED.

Comment 3 Ralf Corsepius 2010-12-25 18:04:36 UTC
Thanks for the quick review, Emmanuel!

New Package SCM Request
=======================
Package Name: perl-CGI-Emulate-PSGI
Short Description: PSGI adapter for CGI
Owners: corsepiu
Branches: f13 f14
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2010-12-28 00:53:42 UTC
This package already seems to be in the distribution.  Emmanuel even reviewed it (in bug 575497).  I'm not sure that it was ever imported, however.

Comment 5 Emmanuel Seyman 2010-12-28 11:26:41 UTC
Imported but never built. I suspect that the real life problems that made Chris put his packaging efforts on hold prevented him from building and pushing this package.

Given Chris' comments in fesco ticket 507, the simplest solution seems to be to add Ralf as a co-owner and him and Chris both maintain the package. Chris and/or Jason, can you do this?

Comment 6 Jason Tibbitts 2010-12-28 17:48:37 UTC
Seems reasonable, but Ralf will need to apply in pkgdb.  I can approve that request if Chris doesn't or can't.

Comment 7 Fedora Update System 2010-12-29 03:26:36 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CGI-Emulate-PSGI-0.10-1.fc14

Comment 8 Fedora Update System 2010-12-29 03:26:49 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-CGI-Emulate-PSGI-0.10-1.fc13

Comment 9 Ralf Corsepius 2010-12-29 03:28:46 UTC
(In reply to comment #6)
> Seems reasonable,
With all due respect to Chris, he should develop the insight of being able to
provide the necessary amount of attention and publically offer his packages for
"co-maintenance adoption".

IMO, though he sporadically pops up, he effectively is AWOL. Many of his
packages only survived because others stepped in and provided "keep-alive
maintenance".

> but Ralf will need to apply in pkgdb.
Done.

>  I can approve that request if Chris doesn't or can't.
Please do so. For reasons I don't understand, pkgdb instaniously automatically
granted me some privileges, but insists on approval of some others.

Comment 10 Jason Tibbitts 2010-12-29 05:00:24 UTC
I have given you full access to the package on all branches.

The "privileges" that pkgdb immediately granted aren't really privileges; you don't need approval from anyone to see commits or bugzilla tickets.  (After all, you could always read the commits list or search bugzilla.)  You do need approval to be able to commit or modify ACLs.

Comment 11 Fedora Update System 2010-12-29 21:54:37 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Emulate-PSGI'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-CGI-Emulate-PSGI-0.10-1.fc13

Comment 12 Fedora Update System 2011-01-06 19:23:46 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-01-06 19:24:48 UTC
perl-CGI-Emulate-PSGI-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Jose Pedro Oliveira 2011-08-12 01:49:21 UTC
Package Change Request
======================
Package Name: perl-CGI-Emulate-PSGI
New Branches: el6
Owners: jpo
InitialCC: perl-sig

[perl-Dancer requirement chain - see bug 729504]

Comment 15 Gwyn Ciesla 2011-08-12 12:36:31 UTC
Git done (by process-git-requests).